Bug 186575 - CVE-2005-4667 unzip long filename buffer overflow
CVE-2005-4667 unzip long filename buffer overflow
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: unzip (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
impact=low,public=20051219,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 10:11 EST by Ivana Varekova
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 15:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivana Varekova 2006-03-24 10:11:10 EST
+++ This bug was initially created as a clone of Bug #178960 +++

unzip long filename buffer overflow

unzip is vulnerable to a filename buffer overflow vulnerability.  It
may be possible to execute arbitrary code as the user running unzip.

http://www.securityfocus.com/bid/15968/info

This issue can be verified with the following command:
unzip `perl -e 'print "A" x 50000'`


This issue also affects RHEL3
This issue also affects RHEL2.1

-- Additional comment from syeghiay@redhat.com on 2006-03-24 08:51 EST --
Exception approved at Mar 23 RHEL Updates meeting, added to RHEL4U4Proposed.

Please clone bug for RHEL3 and 2.1.
Comment 1 Josh Bressers 2007-09-05 15:27:07 EDT
This flaw has been rated as having a low severity by the Red Hat
Security Response Team.  More information about this rating can be
found here: http://www.redhat.com/security/updates/classification/

The risks associated with fixing this bug are greater than the low severity
security risk. We therefore currently have no plans to fix this flaw in Red
Hat Enterprise Linux 2.1 which is in maintenance mode.

If you believe this judgement to be in error, please reopen this bug
with an appropriate comment.

Note You need to log in before you can comment on or make changes to this bug.